ReadySetGoGraphInternal::State Struct Reference

Internal: the state of a ReadySetGoGraph. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
std::vector< Layout > | m_layouts
| the list of layout (one by potential master + page)
std::vector< Layout > | m_masterLayouts
| the list of master layouts: v6

## Detailed Description

Internal: the state of a ReadySetGoGraph.

## Constructor & Destructor Documentation

## ◆ State()

ReadySetGoGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_layouts

std::vector<Layout> ReadySetGoGraphInternal::State::m_layouts

the list of layout (one by potential master + page)

Referenced by State().

## ◆ m_masterLayouts

std::vector<Layout> ReadySetGoGraphInternal::State::m_masterLayouts

the list of master layouts: v6

Referenced by State().

## ◆ m_version

int ReadySetGoGraphInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- ReadySetGoGraph.cxx